const system = require("../../../system");
const ServiceBase = require("../../svems.base")

class AuthService extends ServiceBase {
  constructor() {
    super();
  }
  async nameTwo(params) {
    try {
      // 通过应用id查询商户订单信息，确定产品认证接口
      return this.doAuth(params);
    } catch (error) {
      return system.getResult(null, `系统错误 错误信息 ${error}`);
    }
  }
  async bankThree(params) {
    try {
      return this.doAuth(params);
    } catch (error) {
      return system.getResult(null, `系统错误 错误信息 ${error}`);
    }
  }
  async bankFour(params) {
    try {
      return this.doAuth(params);
    } catch (error) {
      return system.getResult(null, `系统错误 错误信息 ${error}`);
    }
  }

  async doAuth(params) {
    // 1. 扣费
    // 2. 调用认证引擎
    // 3. 异步调用订单消费逻辑
    // 4. 返回认证结果

  }
}

module.exports = AuthService;